Bug 46913 - db2html --nochunks will not generate a valid HTML file
Summary: db2html --nochunks will not generate a valid HTML file
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: docbook-utils   
(Show other bugs)
Version: 7.1
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-02 05:28 UTC by Dave Dribin
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-03 16:52:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to send output to a file (458 bytes, patch)
2001-07-03 14:07 UTC, Tim Waugh
no flags Details | Diff

Description Dave Dribin 2001-07-02 05:28:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010628

Description of problem:
When using the "--nochunks" option on db2html, the HTML is written to
standard out.  However, output from the tool is also written to standard
out and is mixed in with the HTML.  This generates an invalid HTML
document.  Ideally, the HTML would not be written to standard out and
written to a file by db2html.  As an alternative the tool output should be
written to standard error instead of standard out.  Thus redirection will
only grab the HTML.

How reproducible:
Always

Steps to Reproduce:
1. db2html --nochunks some-document.sgml > some-document.html
2.
3.
	

Actual Results:  The resulting file "document.html" contains output from
the tool and thus is not a valid HTML file.  Specifically, look at the
first 4 lines and last line of the file.

Expected Results:  The output from the tool should not be included in the
HTML.  They should be written to standard error or something similar to
allow only the generated HTML to be written to the file.

Additional info:

Comment 1 Tim Waugh 2001-07-03 13:41:33 UTC
I have reported this to the upstream maintainer to see which fix would be 
preferred (output to a file, I imagine).


Comment 2 Tim Waugh 2001-07-03 14:07:41 UTC
Created attachment 22587 [details]
Patch to send output to a file

Comment 3 Tim Waugh 2001-07-23 09:11:25 UTC
Fixed in 0.6.9-1.



Note You need to log in before you can comment on or make changes to this bug.